<template>
  <div class="detail-content">
    <div class="action-btn">
      <button class="btn" @click="this.$router.replace('/')">Back</button>
    </div>
    <ul class="cards">
      <news-card :item="item" v-for="item of getBookmarked" :key="item.id" />
    </ul>
  </div>
</template>
<script>
import NewsCard from "../components/NewsCard";
export default {
  components: {
    NewsCard,
  },
  computed: {
    getBookmarked() {
      return this.$store.getters.getBookmarked;
    },
  },
};
</script>
<style scopped>
.detail-content {
  margin-top: 50px;
}
.details-frame {
  width: 100%;
  height: calc(100vh - 120px);
}
.action-btn {
  padding: 10px;
  text-align: left;
  background: white;
}
</style>
